import { createApp } from 'vue';
import App from './App.vue';
import store from './store';
import router from './router';
import VueKeyCloak from '@dsb-norge/vue-keycloak-js';
const app = createApp(App);
app.use(store);
app.use(router);
app.use(VueKeyCloak, {
    config: {
        url: 'https://auth.toking.de/',
        realm: 'toking',
        clientId: 'billibox',
        redirectUri: 'http://127.0.0.1:8080/',
        onLoad: 'login-required',
        enableLogging: true,
        scope: 'open-id'
    },
    init: {
        onLoad: 'login-required'
    },
    onReady(keycloak) {
        store.dispatch("storeKeycloak", keycloak).then((res) => {
            keycloak.loadUserProfile().then((res) => {
                store.dispatch("storeUserProfile", res);
                console.log("res", res);
            });
        });
    }
});
app.mount('#app');
// import Vue from 'vue';
// import App from './App.vue';
// import Keycloak from "keycloak-js";
// const initOptions = {
//     url: 'https://auth.toking.de/', realm: 'toking', clientId: 'billibox', onLoad: 'login-required',
//     redirectUri: 'http://127.0.0.1:8080/'
// };
// //const app  = createApp(App);
// const keycloak = Keycloak(initOptions);
// keycloak.init({ onLoad: 'login-required',  redirectUri: 'http://127.0.0.1:8080/' }).then((auth) => {
//     if (!auth) {
//         window.location.reload();
//     }
//     else {
//         // @ts-ignore
//         console.info("Authenticated", auth);
//         // @ts-ignore
//
//         new Vue({
//             el: '#app',
//             render: h => h(App, { props: { keycloak: keycloak } })
//         });
//     }
//     //Token Refresh
//     // setInterval(() => {
//     //     keycloak.updateToken(70).then((refreshed) => {
//     //         if (refreshed) {
//     //             // @ts-ignore
//     //
//     //             console.info('Token refreshed' + refreshed);
//     //         }
//     //         else {
//     //             // @ts-ignore
//     //
//     //             console.warn('Token not refreshed, valid for '
//     //                 + Math.round(keycloak.tokenParsed.exp + keycloak.timeSkew - new Date().getTime() / 1000) + ' seconds');
//     //         }
//     //     }).catch(() => {
//     //         // @ts-ignore
//     //
//     //         console.error('Failed to refresh token');
//     //     });
//     // }, 6000);
// }).catch(() => {
//     // @ts-ignore
//
//     console.error("Authenticated Failed");
// });
//# sourceMappingURL=main.js.map