export default class InventoryItem {
    FIELDS = ['manufacturer_key', 'brand_key', 'condition_key',
        'name', 'description', 'work_done', 'special',
        'price_purchased', 'price_historic', 'price_current',
        'year_of_production', 'year_of_purchase'];
    _id;
    _item_type;
    _manufacturer_key;
    _brand_key;
    _condition_key;
    _name;
    _description;
    _work_done;
    _special;
    _price_purchased;
    _price_historic;
    _price_current;
    _year_of_production;
    _year_of_purchase;
    constructor(id, name, values) {
        this._id = id;
        this._name = name;
        if (typeof values != "undefined") {
            for (const field of this.FIELDS) {
                if (field in values)
                    this["_" + field] = values[field];
            }
        }
    }
    get id() {
        return this._id;
    }
    get item_type() {
        return this._item_type;
    }
    get manufacturer_key() {
        return this._manufacturer_key;
    }
    get brand_key() {
        return this._brand_key;
    }
    get condition_key() {
        return this._condition_key;
    }
    get name() {
        return this._name;
    }
    get description() {
        return this._description;
    }
    get work_done() {
        return this._work_done;
    }
    get special() {
        return this._special;
    }
    get price_purchased() {
        return this._price_purchased;
    }
    get price_historic() {
        return this._price_historic;
    }
    get price_current() {
        return this._price_current;
    }
    get year_of_production() {
        return this._year_of_production;
    }
    get year_of_purchase() {
        return this._year_of_purchase;
    }
}
//# sourceMappingURL=InventoryItem.js.map