const keyInitOptions = {
    url: 'https://auth.toking.de/',
    realm: 'toking',
    clientId: 'billibox',
    redirectUri: 'http://127.0.0.1:8080/',
    onLoad: 'login-required',
    enableLogging: true,
    scope: 'open-id'
};
const state = {
    keycloak: null,
    userProfile: null,
};
const getters = {
    isAuthenticated(state) {
        return state.keycloak.authenticated;
    },
    token: (state) => state.token,
    keycloak: (state) => state.keycloak,
    userProfile: (state) => state.userProfile
};
const mutations = {
    storeKeycloak(context, payload) {
        console.log("mutations.storeKeycloak");
        state.keycloak = payload;
    },
    storeUserProfile(context, payload) {
        state.userProfile = payload;
    }
};
const actions = {
    storeKeycloak(context, payload) {
        console.log("action.storeKeycloak");
        context.commit("storeKeycloak", payload);
    },
    getToken(context, payload) {
        console.log("actions.getToken");
        console.log("Authenticated", context.state.keycloak);
        context.state.keycloak.updateToken(70).then((refreshed) => {
            console.log("Refresehd Token", refreshed);
        }).catch((err) => {
            console.log("Error", err);
        });
    },
    storeUserProfile(context, payload) {
        context.commit("storeUserProfile", payload);
    }
};
const modules = {};
const authModule = {
    state,
    getters,
    mutations,
    actions,
    modules
};
export default authModule;
//# sourceMappingURL=index.js.map